using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_YongHu_XinZhang_ZengJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加勋章", "网站后台", "增加勋章", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("28");

        int ZGID = 常用.SQL_最高ID(访问.连接, 程序.数据表前缀+"社区_勋章");
        String 名称=Request.Form["MingChen"];

        if (Request.Files.Count != 1)
            throw new Exception("勋章不能为空。");

        String 后缀 = Path.GetExtension(Request.Files[0].FileName);

        if (!常用.是否允许后缀("gif,jpg,jpe,jpeg,png,tif,tiff,bmp", 后缀.Substring(1)))
            throw new Exception("勋章不支持该类型文件");
        String 勋章地址 = 程序.安装位置 + "Data/XinZhang/" + (ZGID /500) + "/";
        if (!Directory.Exists(Server.MapPath(勋章地址)))
            Directory.CreateDirectory(Server.MapPath(勋章地址));
        勋章地址 += ZGID+后缀;

        Request.Files[0].SaveAs(Server.MapPath(勋章地址));

        SqlCommand 语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "社区_勋章]([ID],[勋章名称],[勋章图标])VALUES(@ID,@勋章名称,@勋章图标)", 访问.连接);
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = ZGID;
        语句.Parameters.Add("@勋章名称", SqlDbType.NVarChar).Value = 名称;
        语句.Parameters.Add("@勋章图标", SqlDbType.NVarChar).Value = 勋章地址;
        语句.ExecuteNonQuery();

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("增加勋章[" + 名称 + "]", 访问.用户["昵称"].ToString());

        Response.Redirect("XinZhang.aspx");
    }
}
